<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" prefix="apt" section="in-commerce:affiliate_payment_types" title_preset="affiliate_payment_types_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('apt','<inp2:apt_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							submit_event('apt','OnCancelEdit');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('apt', '<inp2:apt_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('apt', '<inp2:apt_NextId/>');
						}
				 ) );

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				a_toolbar.Render();

				<inp2:m_if check="apt_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
					a_toolbar.HideButton('sep2');
				<inp2:m_else/>
					<inp2:m_if check="apt_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="apt_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:apt_SaveWarning name="grid_save_warning"/>
<inp2:apt_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="inp_id_label" prefix="apt" field="PaymentTypeId" title="la_fld_Id"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="apt" field="Name" title="la_fld_Name" size="40"/>
		<inp2:m_RenderElement name="inp_edit_checkbox" prefix="apt" field="IsPrimary" title="la_fld_IsPrimary" onchange="check_status()"/>
		<inp2:m_RenderElement name="inp_edit_checkbox" prefix="apt" field="Status" title="la_fld_Enabled"  onchange="check_primary()"/>
		<inp2:m_RenderElement name="inp_edit_box" prefix="apt" field="Priority" title="la_fld_Priority" size="5"/>
		<inp2:m_RenderElement name="inp_edit_textarea" prefix="apt" field="Description" title="la_fld_Description" cols="40" rows="5"/>
		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<script type="text/javascript">
	if(document.getElementById('_cb_<inp2:apt_InputName field="IsPrimary"/>').checked)
	{
		document.getElementById('_cb_<inp2:apt_InputName field="IsPrimary"/>').disabled = true;
		document.getElementById('_cb_<inp2:apt_InputName field="Status"/>').disabled = true;
	}

	function check_status()
	{
		if(document.getElementById('_cb_<inp2:apt_InputName field="IsPrimary"/>').checked)
		{
			document.getElementById('_cb_<inp2:apt_InputName field="Status"/>').checked = true;
			document.getElementById('<inp2:apt_InputName field="Status"/>').value = 1;
		}
	}

	function check_primary()
	{
		if(!document.getElementById('_cb_<inp2:apt_InputName field="Status"/>').checked)
		{
			document.getElementById('_cb_<inp2:apt_InputName field="IsPrimary"/>').checked = false;
			document.getElementById('<inp2:apt_InputName field="IsPrimary"/>').value = 0;
		}
	}
</script>

<inp2:m_include t="incs/footer"/>